Application: gvSIG desktop - gvSIG bugs #5521
Error al finalizar edicion tras copiar geometrias de otra capa
12/02/2020 11:29 AM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Document table

Target version: 2.6.0-3302

Severity: Minor Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3046 Add-on resolve version:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Al terminar edicién y guardar una capa tras pegar geometrias de otra da error y no deja finalizar edicion. Adjunto las capas y el log.
Pasos:

- Vista 4326, y cargar los 2 shp.

- Capa "b" activa, selecciono todas las geometrias y botdn "Copiar elementos al portapapeles”

- Pongo en edicion la capa "a" y pincho en "Pegar geometrias". Si que se pegan salvo los valores de los campos latitud-longitud.

- Al terminar edicién da error.

NOTA: La capa "b" era un trozo de la capa "a", pero cambiando algunos valores como algin decimal de las latitudes y longitudes.

Associated revisions

Revision 2882 - 12/12/2022 03:38 PM - Francisco Diaz Carsi

refs #5521, Anadido al método coerce el parametro CoercionContext

Revision 46893 - 12/12/2022 03:39 PM - Francisco Diaz Carsi

refs #5521, Atrapado error de usuario y correccion del Locale al pasar la feature a y desde JSON

History

#1 - 01/19/2023 07:29 PM - Joaquin del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3302

- Assignee set to Joaquin del Cerro Murciano

- Status changed from New to Fixed

Habia un problema durante el paso a/desde json de la feature al meterla o sacarla del portapapeles que hacia que no se tuviese en cuenta el Locale
asignado al hacerlo y los numeros con decimales no se recuperaban correctamente del portapapeles.

#2 - 08/03/2023 02:17 PM - Alvaro Anguix

- Status changed from Fixed to Closed

05/11/2024 1/2




Files

capas-unir_geom.zip
gvSIG.log
gvSIG.log.1
gvSIG.log.2
gvSIG.log.3

05/11/2024

50.4 KB
242 KB
513 KB
515 KB
514 KB

12/02/2020
12/02/2020
12/02/2020
12/02/2020
12/02/2020

Mario Carrera
Mario Carrera
Mario Carrera
Mario Carrera
Mario Carrera

22



